Main Page Widgets Namespaces Book

# Gdk::Color Class Reference

List of all members.

## Public Methods
| Color (GdkColor* gobject, bool make_a_copy=true)
| Color (const Color& other)
Color& | operator= (const Color& other)
| ~Color ()
void | swap (Color& other)
GdkColor* | gobj ()
| Provides access to the underlying C instance.
const GdkColor* | gobj () const
| Provides access to the underlying C instance.
GdkColor* | gobj_copy () const
| Color ()
| Color (const Glib::ustring& str)
void | set_grey (gushort g)
void | set_grey_p (double g)
void | set_rgb (gushort red_, gushort green_, gushort blue_)
void | set_rgb_p (double red_, double green_, double blue_)
void | set_hsv (double h, double s, double v)
void | set_hsl (double h, double s, double l)
int | set (const Glib::ustring& str)
int | parse (const Glib::ustring& spec)
gushort | get_red () const
gushort | get_green () const
gushort | get_blue () const
void | set_red (gushort r)
void | set_green (gushort g)
void | set_blue (gushort b)
void | rgb_find_color (const Glib::RefPtr<Gdk::Colormap>& map)
guint | get_pixel () const
double | get_red_p () const
double | get_green_p () const
double | get_blue_p () const
## Protected Attributes
GdkColor* | gobject_
## Related Functions
(Note that these are not member functions.)
bool | operator== (const Color& lhs, const Color& rhs)
bool | operator!= (const Color& lhs, const Color& rhs)
void | swap (Color& lhs, Color& rhs)
Gdk::Color | wrap (GdkColor* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gdk::Color::Color | ( | GdkColor* | gobject,
|  | bool | make_a_copy = true
| ) | `[explicit]`

Gdk::Color::Color | ( | const Color& | other | ) |

Gdk::Color::~Color | ( |  | ) |

Gdk::Color::Color | ( |  | ) |

Gdk::Color::Color | ( | const Glib::ustring& | str | ) | `[explicit]`

## Member Function Documentation

gushort Gdk::Color::get_blue | ( |  | ) |

double Gdk::Color::get_blue_p | ( |  | ) |

gushort Gdk::Color::get_green | ( |  | ) |

double Gdk::Color::get_green_p | ( |  | ) |

guint Gdk::Color::get_pixel | ( |  | ) |

gushort Gdk::Color::get_red | ( |  | ) |

double Gdk::Color::get_red_p | ( |  | ) |

const GdkColor* Gdk::Color::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

GdkColor* Gdk::Color::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

GdkColor* Gdk::Color::gobj_copy | ( |  | ) |

Color& Gdk::Color::operator= | ( | const Color& | other | ) |

int Gdk::Color::parse | ( | const Glib::ustring& | spec | ) |

void Gdk::Color::rgb_find_color | ( | const Glib::RefPtr<Gdk::Colormap>& | map | ) |

int Gdk::Color::set | ( | const Glib::ustring& | str | ) |

void Gdk::Color::set_blue | ( | gushort | b | ) |

void Gdk::Color::set_green | ( | gushort | g | ) |

void Gdk::Color::set_grey | ( | gushort | g | ) |

void Gdk::Color::set_grey_p | ( | double | g | ) |

void Gdk::Color::set_hsl | ( | double | h,
|  | double | s,
|  | double | l
| ) |

void Gdk::Color::set_hsv | ( | double | h,
|  | double | s,
|  | double | v
| ) |

void Gdk::Color::set_red | ( | gushort | r | ) |

void Gdk::Color::set_rgb | ( | gushort | red_,
|  | gushort | green_,
|  | gushort | blue_
| ) |

void Gdk::Color::set_rgb_p | ( | double | red_,
|  | double | green_,
|  | double | blue_
| ) |

void Gdk::Color::swap | ( | Color& | other | ) |

## Friends And Related Function Documentation

bool operator!= | ( | const Color& | lhs,
|  | const Color& | rhs
| ) | `[related]`

bool operator== | ( | const Color& | lhs,
|  | const Color& | rhs
| ) | `[related]`

void swap | ( | Color& | lhs,
|  | Color& | rhs
| ) | `[related]`

Gdk::Color wrap | ( | GdkColor* | object,
|  | bool | take_copy = false
| ) | `[related]`

## Member Data Documentation

GdkColor* Gdk::Color::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gdk/gdkmm/color.h